module PadA(
	input clk,
	input playing,
	input [2:0]ballX,
	input [2:0]ballY,
	output reg [2:0]padA);
	
	reg ai;
	
	always @(posedge clk)
	begin
		if (playing == 0)
		begin
			padA <= 1;
			ai <= 1;
		end
		else
		begin
			if(ai == 1)
			begin
				if (ballX < padA && padA > 1)
				begin
					padA <= padA - 1;
				end
				else if (ballX > padA && padA < 6) 
				begin
					padA <= padA + 1;
				end
			end
			
			ai <= !ai;
		end
	end

endmodule