module PadB(
	input clk,
	input playing,
	input btnLeft,
	input btnRight,
	output reg [2:0]padB);
	
	always @(posedge clk)
	begin
		if (playing == 0)
		begin
			padB <= 6;
		end
		else
		begin
			if (btnLeft == 0 && padB > 1)
			begin
				padB <= padB - 1;
			end
			else if (btnRight == 0 && padB < 6) 
			begin
				padB <= padB + 1;
			end
		end
	end
endmodule