module Score(
	input clk,
	input playing,
	input [2:0]ballX,
	input [2:0]ballY,
	output reg [3:0]scoreA,
	output reg [3:0]scoreB);
	
	always @(posedge clk)
	begin
		if (playing == 0)
		begin
			scoreA <= 0;
			scoreB <= 0;
		end
		else
		begin
			if (ballY == 0)
			begin
				scoreB <= scoreB + 1;
			end
			else if (ballY == 7)
			begin
				scoreA <= scoreA + 1;
			end
		end
	end
	
endmodule